#ifndef IMPORTWIDGET_H
#define IMPORTWIDGET_H

#include <QWidget>

namespace Ui {
class ImportWidget;
}

class LegacyApp;

class ImportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ImportWidget(LegacyApp *_app, QWidget *parent = 0);
    ~ImportWidget();

    void hideAllImportOptions();

private slots:
    void on_database_import_radiobutton_common_clicked();

    void on_file_import_radiobutton_common_clicked();

    void on_textfragment_import_radiobutton_common_clicked();

private:
    LegacyApp *app;
    Ui::ImportWidget *ui;

};

#endif // IMPORTWIDGET_H
